svset = {
	'active' = true,
	'name' = 'SVS',
	'desc' = 'A simple vehicle set',
	'author'= 'onodera',
	'sprites' = {
		'grain' = {
			'transit' = makespriteset{
				0 = loadpng(grclsd0.png, 16, 16),
				1 = loadpng(grclsd1.png, 16, 16),
				2 = loadpng(grclsd2.png, 16, 16),
				3 = loadpng(grclsd3.png, 16, 16),
				4 = loadpng(grclsd4.png, 16, 16),
				5 = loadpng(grclsd5.png, 16, 16),
				6 = loadpng(grclsd6.png, 16, 16),
				7 = loadpng(grclsd7.png, 16, 16)
			},
			0 = makespriteset{
				-- Loading the sprites
			},
			50 = makespriteset{
				-- 50% full
			},
			100 = makespriteset{
				-- 100% full
			},
		},
		'pass' = {
			1950 = makespriteset{
				-- loadpng blah-blah
			},
			1975 = {
				'normal' = makespriteset{
					-- more loadpng
				},
				'buffet' = makespriteset{
					-- loadpng...
				},
			},
			'express' = {
				'normal' = makespriteset{
					-- loadpng
				},
				'tail' = makespriteset{
					-- loadpng!!!
				},
			},
		},
	},

	'objects' = {
		'grainwagon' = {
			'type' = types.wagon,
			'name' = 'Grain Hopper (40 t)',
			'year' = 1976,
			'powered' = false,
			'maxspeed' = 50,
			'getlivery' = function (train, wagon)
					if train.state = states.loadunload then
						if wagon.filledpercent < 50 then
							return svset.sprites.grain[0]
						elseif wagon.filledpercent < 100 then
							return svset.sprites.grain[50]
						else
							return svset.sprites.grain[100]
						end
					else
						return svset.sprites.grain.transit
					end
				end
		}
		'passcar' = {
			'type' = types.wagon,
			'name' = 'Passenger car (main line)',
			'year' = 1950,
			'powered' = false,
			'maxspeed' = 50,
			'getlivery' = function (train, wagon)
					if train = nil then -- Detached wagon
						return sprites.pass[1950]
					end
					if train.head.allowedcars.passenger = false then
						showerror(train.head.name..' cannot take passenger cars!')
						train.detach(wagon)
						return sprites.pass[1950]
					end
					if train.head.name = 'Polar Express' then
						wagon.maxspeed = 200
						if train.pos(wagon) = train.length - 1 then -- If it's the last carriage in a train
							return sprites.pass.express.tail
						else
							return sprites.pass.express.normal
						end
					elseif year > 1975 then
						wagon.maxspeed = 100
						if train.pos(wagon) = 3 then -- If it's the third wagon (in a one-headed train)
							return sprites.pass[1975].buffet -- then it's a buffet-car
						else
							return sprites.pass[1975].normal
						end
					else
						return sprites.pass[1950]
					end
				end
		}
	}
}

function init()
	if sets.DBSetXL ~= nil then
		sets.DBSetXL.active = false --Switch off DBSetXL
	end
	if not switches.gradualloading then
		svset.active = false
		svset.desc = svset.desc..' has been deactivated, as it requires gradual loading switch'
	end
	loadset(svset)
end
